Start Healing
curl --request POST \
--url https://api.example.com/api/datasets/{dataset_id}/heal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": "dataset",
"fix_mislabeled": true,
"remove_outliers": true,
"remove_poisoned": true,
"remove_off_topics": false,
"remove_injection": false,
"remove_sensitive_information": false,
"anonymize_sensitive_information": false,
"off_topic_score_min": 0,
"off_topic_score_max": 100
}
'import requests
url = "https://api.example.com/api/datasets/{dataset_id}/heal"
payload = {
"target": "dataset",
"fix_mislabeled": True,
"remove_outliers": True,
"remove_poisoned": True,
"remove_off_topics": False,
"remove_injection": False,
"remove_sensitive_information": False,
"anonymize_sensitive_information": False,
"off_topic_score_min": 0,
"off_topic_score_max": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target: 'dataset',
fix_mislabeled: true,
remove_outliers: true,
remove_poisoned: true,
remove_off_topics: false,
remove_injection: false,
remove_sensitive_information: false,
anonymize_sensitive_information: false,
off_topic_score_min: 0,
off_topic_score_max: 100
})
};
fetch('https://api.example.com/api/datasets/{dataset_id}/heal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"dataset_id": "<string>",
"status": "<string>",
"progress": 123,
"fix_mislabeled": true,
"remove_outliers": true,
"remove_poisoned": true,
"remove_off_topics": true,
"remove_injection": true,
"remove_sensitive_information": true,
"anonymize_sensitive_information": true,
"created_at": "<string>",
"message": "<string>",
"off_topic_score_min": 0,
"off_topic_score_max": 100,
"output_filename": "<string>",
"manifest": {},
"started_at": "<string>",
"finished_at": "<string>",
"duration_seconds": 123,
"target": "download",
"activated": false,
"created_branch_id": "<string>",
"created_branch_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}healing
Start Healing
Start a new healing job for a dataset.
POST
/
api
/
datasets
/
{dataset_id}
/
heal
Start Healing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Cookies
Body
application/json
Available options:
download, dataset Required range:
0 <= x <= 100Required range:
0 <= x <= 100Response
Successful Response
Available options:
download, dataset ⌘I

